gnutls_base64_decode2(3)

NAME
gnutls_base64_decode2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_base64_decode2(const gnutls_datum_t * base64, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * base64
    contains the encoded data

gnutls_datum_t * result
    the location of decoded data

DESCRIPTION
This function will decode the given base64 encoded data. The decoded data will be allocated, and stored into result. You should use gnutls_free() to free the returned data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/